<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$modelo=$sessao->getVar('controle');
$preenchimento=$sessao->getVar('controle1');

$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
echo ("finalidade= $finalidade<br>");
$enquadramento=$finalidade;
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 

			//aqi imprime O ULTIMO..
			//$matrizLargura[13]=70;
     		$pdf->setXY(239,$cota1);
			$largura=$matrizLargura[13];
			$larguraTexto=ceil($largura*.7);
			$texto=$matrizTitulo[13];
			$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		    $pdf->Cell($largura,10,utf8_decode($texto),1,0,'C',1);//lab nome






            //cria o array conteudo################################################33
			//ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica1=new tabelagenerica();
			//echo $finalidade;
			
			//$campos=" select fic_amostra,fic_tta, fic_lote,ctv_nome, prd_nome, prd_renasem, amt_apelido, amt_renasem,fic_funcao,fic_categoria,fic_safra,fic_peneira,fic_dt_entrada,fic_repre_unid,fic_id,esp_nome,fic_dt_amostragem,fic_amostra_previa,fic_observacao,fic_procedencia ";
			$campos=" select fic_amostra,fic_previsao,fic_safra,fic_dt_entrada,fic_id,esp_nome ";



			//$generica->extras_select =$campos ."  from  ficha,cultivar,remetente,amostrador,especies  where fic_amostra>='".$inicio."' &&   fic_amostra<='".$final."'            && prd_id=fic_produtor   && amt_id=fic_amostrador && fic_cultivar=ctv_id   && ctv_especie=esp_id  and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo." order by fic_amostra";
			$generica->extras_select =$campos ."  from  ficha,cultivar,especies  where fic_amostra>='".$inicio."' &&   fic_amostra<='".$final."' && fic_cultivar=ctv_id   && ctv_especie=esp_id  and fic_ano='".$anoCorrente."'  && fic_labo=" . $idLabo." order by fic_amostra";
			   
        
			$generica->selecionaCamposEspecial($generica);
			$contador=1;
            //vou criar a matriz de conteudos que vai ter linhas e colunas
			while ($resgenerica= $generica->retornaDados()):
				$amostraLong=$resgenerica->fic_id;
			    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
                $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);   
                $matrizConteudo[$contador][1]=date("d/m/y",strtotime($resgenerica->fic_dt_entrada));
                $matrizConteudo[$contador][2]=str_pad($resgenerica->fic_amostra, 4, "0", STR_PAD_LEFT).'/'.date("y",strtotime($resgenerica->fic_dt_entrada));
				$matrizConteudo[$contador][3]=$resgenerica->esp_nome;
				$matrizConteudo[$contador][4]=$resgenerica->fic_safra;
                
				//$matrizConteudo[$contador][5]=$vetorAmostraBruto[44];//testes a realizar
				$testesSolicitados=$vetorAmostraBruto[44];

                //VERIFICA SE PEDIU O TESTE, E SE JA FECHOU              
				//PUREZA
                $string= strpos($testesSolicitados, 'PUR'); ////localizar a existencia de uma string dentre de outra strunG
				$conteudoFinal="-N-";
				if(strlen($string)>0)://pergunta se achou alguma coisa
 				   $conteudoFinal='ABE';
                   if($vetorRaioX[217]=="FECHADA")$conteudoFinal='FEC'; //calcula todos valores finais  
                endif;  
				$matrizConteudo[$contador][5]=$conteudoFinal;//testes a realizar
				//GERMINACAO
                $string= strpos($testesSolicitados, 'GER'); ////localizar a existencia de uma string dentre de outra strunG
				$conteudoFinal="-N-";
				if(strlen($string)>0)://pergunta se achou alguma coisa
 				   $conteudoFinal='ABE';
                   if($vetorRaioX[217]=="FECHADA")$conteudoFinal='FEC'; //calcula todos valores finais  
                endif;  
				$matrizConteudo[$contador][6]=$conteudoFinal;//testes a realizar
                //TZO 
                $string= strpos($testesSolicitados, 'TZO'); ////localizar a existencia de uma string dentre de outra strunG
				$conteudoFinal="-N-";
				if(strlen($string)>0)://pergunta se achou alguma coisa
 				   $conteudoFinal='ABE';
                   if($vetorRaioX[217]=="FECHADA")$conteudoFinal='FEC'; //calcula todos valores finais  
                endif;  
				$matrizConteudo[$contador][7]=$conteudoFinal;//testes a realizar
                //DOS
				$string= strpos($testesSolicitados, 'DOS'); ////localizar a existencia de uma string dentre de outra strunG
				$conteudoFinal="-N-";
				if(strlen($string)>0)://pergunta se achou alguma coisa
 				   $conteudoFinal='ABE';
                   if($vetorRaioX[217]=="FECHADA")$conteudoFinal='FEC'; //calcula todos valores finais  
                endif;  
				$matrizConteudo[$contador][8]=$conteudoFinal;//testes a realizar

				//$matrizConteudo[$contador][5]=$PUR;//testes a realizar
				//germinacao
				$germinador="";
				$saidaTrat="";
				$dataContagem1="";
				$dataFinal="";
				$data="";
                $tratamento="";
				if(substr($cliente,0,2)!='TS'):
					$rean = new rean1();
					$rean->extras_select =" where  rea_teste='GERM' and rea_finalizada='S' AND rea_ficha=".$amostraLong;
					//$rean->extras_select =" where  rea_teste='GERM' and rea_finalizada='S' AND rea_ficha=".$amostraLong;
	                $rean->selecionaTudo($rean);
					while ($resRean = $rean->retornaDados()):
	                    $data=date("d/m/y",strtotime($resRean->rea_datageralteste));
	                    $germinador=$resRean->rea_campo20b;//
	                    //$dataFinal=$resRean->rea_data_inicio;//data final
	                    $tratamento=$resRean->rea_campo60a;//tratamento
	                    $dataContagem1=$resRean->rea_segunda_leitura;//
	                    $dataFinal=date("d/m/y",strtotime($resRean->rea_datageralteste));//
	                endwhile;
				endif;//o tabajara quer que fique em branco
			    $matrizConteudo[$contador][9]=$tratamento;//
			    $matrizConteudo[$contador][10]=$germinador;//
			    $matrizConteudo[$contador][11]=$saidaTrat;//
			    $matrizConteudo[$contador][12]=$dataContagem1;//
			    $matrizConteudo[$contador][13]=$dataFinal;//
				$matrizConteudo[$contador][14]=$resgenerica->fic_previsao;
			    $contador++;
                //if($contador>30)break;
			endwhile; 
			$totalPaginas=ceil($contador/30);//arredonda para cima

			
			//	$pdf->Cell($largura,5,"xxxxxxxxxxxxxxx" .$contador ." limite=". $limite,1,0,'L');//lab nome		
//agora imprime	o corpo		
//o indice vai permitir eu imprimir na ordem que eu quiser e inclusive suprimir linhas	
			//se a pessoa quer imprimir um protocolo vazio(para documentação da qualidade)
			if($preenchimento=="branco"):
               $contador=0;
			endif;
			
            //matriz de titulos das colunas
			$matrizLargura[1]=15;$matrizTitulo[1]='Dt Receb.';
			$matrizLargura[2]=11; $matrizTitulo[2]='Amostra';
			$matrizLargura[3]=31;$matrizTitulo[3]='Espécie';
			$matrizLargura[4]=14; $matrizTitulo[4]='Safra';
			$matrizLargura[5]=7; $matrizTitulo[5]='PUR';
			$matrizLargura[6]=7; $matrizTitulo[6]='GER';
			$matrizLargura[7]=7; $matrizTitulo[7]='TZO';
			$matrizLargura[8]=7; $matrizTitulo[8]='DOS';
			$matrizLargura[9]=62; $matrizTitulo[9]='Tratamento';
			$matrizLargura[10]=16; $matrizTitulo[10]='Local';
			$matrizLargura[11]=23; $matrizTitulo[11]='Saida Trat';//renasem do requerente
			$matrizLargura[12]=23; $matrizTitulo[12]='Dt 1ªCont.';
			$matrizLargura[13]=23; $matrizTitulo[13]='Data Final';
			$matrizLargura[14]=23; $matrizTitulo[14]='Previsão';
			$limite=sizeof($matrizLargura);

		    $cinza=230;
			$pdf->SetFillColor($cinza,$cinza,$cinza); 
			$pdf->SetFont('Arial','',6);	
			$contadorLinhasPagina=0;
			$numeroPagina=0;
			
			//cria a tabela que vai exportar para excel
			$tabela = '<table border="1">';
			$tabela .= '<tr>';
			 $tabela .= '<td colspan="8">Exportacao de dados para Excel - Sistema SilasNet</tr>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '</tr>';
			 $tabela .= '<tr>';
			 for($je=1;$je<=20;$je++):
				$tabela .= '<td>'.utf8_decode($matrizTitulo[$je]).'</td>';
			 endfor;
			 //so para ver como adiciona as colunas...hihihi
			 //$tabela .= '<td><b>Nome</b></td>';
			 //$tabela .= '<td><b>Email</b></td>';
			 $tabela .= '</tr>';
			
			for($i=1;$i<=$contador;$i++):
			    $cota1+=4.5;
			    //imprime o timbrado
                //se o contador é igual a 0, imprime o timbrado  
				if($contadorLinhasPagina==0):
				    $pdf->AddPage();//adicionando a primera pafina 
                    $numeroPagina++;
                    //$pdf->SetFont('Times','',7);
			        //cabecalho
					$cota1=2;			
				 	$posicaoCab1=40;
		            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
		            $pdf->Image($caminhoFinal,11,3,24,12,'JPG');
		            $pdf->Rect($margemEsquerda,$cota1,30,17);//BOX AO REDOR DA LOGO

                    //aqui as normas
					$posicaoCab2=256;
		            $pdf->Rect($posicaoCab2,$cota1,32,17);//BOX AO REDOR DAS NORMAS
					$pdf->SetFont('Arial','',6);//
					$pdf->setXY($posicaoCab2,$cota1);
					$pdf->Cell(32,10,utf8_decode('Identificação'),1,0,'C');//
					$pdf->setXY($posicaoCab2,$cota1+6);
					$pdf->Cell(30,3,utf8_decode('FOR 5.8.04'),0,0,'C');//
					$pdf->setXY($posicaoCab2,$cota1+8);
					$pdf->Cell(30,8,utf8_decode('Nº de folhas:______'),0,0,'C');//
					
					$pdf->SetFont('Arial','B',10);//
					$pdf->setXY($posicaoCab1,$cota1);
					$pdf->Cell(216,10,utf8_decode('FORMULÁRIO'),1,1,'C');
					$pdf->SetFont('Arial','',8);//
					$pdf->setXY($posicaoCab1,$cota1+10);
					$pdf->Cell(216,7,utf8_decode('PLANILHA CONTROLE DE AMOSTRAS PARA GERMINAÇÃO'),1,0,'C');//lab nome
					$pdf->setXY($margemEsquerda,$cota1+17);
					$pdf->Cell($larguraUtil-3,5,utf8_decode('ABE=Aberta   FEC=Fechada  -N-=Não Solicitada     LOCAL: (1)Câmara de germinação  (2)BOD  (3)Geladeira  (4)Germinador  (5)Estufa'),1,0,'C');//lab nome
					$pdf->SetFont('Arial','',8);
					//$posicaoDireita=279;
					//aqui imprime a linha de cabecalho //posso negrita/ colocar hachurrado etc 
		            $cota1+=25;
					$pdf->setXY($margemEsquerda,$cota1-7);
		            //aqi imprime varios que sao normais...
		     		$pdf->setXY($margemEsquerda,$cota1);
					for($j=1;$j<=$limite;$j++):
						$largura=$matrizLargura[$j];
						$larguraTexto=ceil($largura*.7);
						$texto=$matrizTitulo[$j];
						$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		     			$pdf->Cell($largura,5,utf8_decode($texto),1,0,'C',1);//lab nome
					endfor;
	                $cota1+=5;
					$pdf->SetFont('Arial','',6);	
				endif;//aqui encerra o if que controla o contador de paginas e imprime cabecalho e dao salto de pagina

			    $contadorLinhasPagina++;
				if($contadorLinhasPagina==30)://colocar 30 depois
				   $contadorLinhasPagina=0;
				   $pdf->SetFont('Arial','',6);
				endif;
			
			    //negritar linhas de cores alternadas
				$file=0;  
			    if($i % 2 == 0):
				    $file=1;
			    endif;	
				
					
				$pdf->setXY($margemEsquerda,$cota1);
	            $tabela .= '<tr>';
                for($j=1;$j<=$limite;$j++): 
					$largura=$matrizLargura[$j];
					$larguraTexto=ceil($largura*.7);
					$texto=$matrizConteudo[$i][$j];
					$tabela .= '<td>'.$texto.'</td>';
					$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
				    $pdf->Cell($largura,4.5,utf8_decode($texto),1,0,'C',$file);//lab nome
                endfor;
		        $tabela .= '</tr>';
            endfor;
			
		   $tabela .= '</table>';
		   $sessao->setVar('controle',$tabela);
   				
				/////////////
			//endfor;
			
			//SETOR DO RODAPE
			$cotaR1=190;
			$pdf->SetFont('Arial','',6);		
			//$pdf->setXY($margemEsquerda,$cotaR1);
		    //$pdf->Cell(90,5,utf8_decode('Elaborado por: Lucia Santos'),0,0,'L');
		    //$pdf->Cell(90,5,utf8_decode('Página: '.$numeroPagina.'/'.$totalPaginas),0,0,'C');
		    //$pdf->Cell(90,5,utf8_decode('Aprovado por:Juliana Trinca'),0,0,'R');
			
			ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
